/* rover.h
 * 
 * Supporting library for the trinket rover.
 * Includes servo control as well as some other functions.
 */

#include "Arduino.h"

#define sbi(sfr, bit) (_SFR_BYTE(sfr) |= _BV(bit))
#define cbi(sfr, bit) (_SFR_BYTE(sfr) &= ~_BV(bit))

/* Trinket's analog pins don't match actual pin numbers.
 * This macro & corresponding function take care of that.
 * (intercept regular analogRead() into fixed version)
 */
#define analogRead(pin) trinketAnalogRead(pin)
int trinketAnalogRead(uint8_t pin);

/* Servo Control functions */

void rover(uint8_t leftPin, uint8_t rightPin);

void start();
void stop();

/* Speed ranges from -62 to 63; add 187 for timer interval */
void straight(int8_t speed);
void rotate(int8_t speed);
void turnL(int8_t speed);
void turnR(int8_t speed);

void cal(float left, float right);